#
# spec file for package perl-libxml-perl
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-libxml-perl
BuildRequires:  perl-XML-Parser
BuildRequires:  perl-macros
Version:        0.08
Release:        lp152.3.3
Requires:       perl-XML-Parser
Url:            http://cpan.org/modules/by-module/XML/
Summary:        Collection of Perl modules for working with XML
License:        Artistic-1.0 or GPL-2.0+
Group:          Development/Libraries/Perl
Source:         libxml-perl-%{version}.tar.bz2
Patch:          libxml-perl-%{version}-test.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
perl-libxml-perl is a collection of Perl modules for working with XML.



Authors:
--------
    Ken MacLeod <ken@bitsko.slc.ut.us>

%prep
%setup -n libxml-perl-%{version}
%patch

%build
perl Makefile.PL
make %{?_smp_mflags}
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes ChangeLog README examples doc/*
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Data
%{perl_vendorlib}/XML
%{perl_vendorarch}/auto/libxml-perl

%changelog
* Wed Feb 27 2013 coolo@suse.com
- update license to new format
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug  1 2005 mjancar@suse.cz
- update to 0.08
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 mjancar@suse.cz
- run make test
- fix filelist
* Mon May 19 2003 ro@suse.de
- remove perllocal.pod
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Thu Aug 16 2001 rvasice@suse.cz
- initial package release (version 0.07)
